Update a webhook
PATCH
/webhooks/{id}Autorisierung
AuthorizationBearer-Token · headererforderlichA BillionSend API key (bs_…).
Pfadparameter
idstring<uuid>erforderlichRequest-Body
application/jsonendpointstring<uri>max. Länge 2048
eventsstring[]min. 1 Elemente
statusstringErlaubt:
enableddisabledinbox_idsstring<uuid>[] | nullBillionSend extension: inbox events and email.received reach this endpoint only for these inboxes of the team (at most 100). null means every inbox. Omitted: unchanged.
max. 100 Elemente
Antworten
200
Webhook updated
objectstringerforderlichErlaubt:
webhookidstring<uuid>erforderlich401
Missing, malformed, unknown or revoked API key
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich404
Not found
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich422
Validation error
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumbererforderlichnamestringerforderlichmessagestringerforderlich